v.patch(1)

NAME
v.patch - Creates a new vector map by combining other vector maps.

KEYWORDS
vector, geometry, level1

SYNOPSIS
v.patch
v.patch --help
v.patch [-nzeab] input=name[,name,...] output=name [bbox=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-n
    Do not expect input with topology
    Applicable when input is points without topology

-z
    Expect z coordinate even when not using topology
    Applicable when input is points with z coordinate but without topology

-e
    Copy also attribute table
    Only the table of layer 1 is currently supported

-a
    Append files to existing file (overwriting existing files must be activated)

-b
    Do not build topology
    Advantageous when handling a large number of points

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name[,name,...] [required]
    Name of input vector map(s)
    Or data source(s) for direct OGR access

output=name [required]
    Name for output vector map

bbox=name
    Name for output vector map where bounding boxes of input vector maps are written to

DESCRIPTION
v.patch allows the user to combine any number of vector maps together to create one composite vector map. If the table structures are identical, attributes are transferred to the new table.

NOTES
Any vectors that are duplicated among the maps being patched together (e.g., border lines) will have to be edited or removed after v.patch is run. Such editing can be done automatically using v.clean.

Lines may need to be snapped with v.clean tool=snap,break,rmdupl.

Boundaries may need to be cleaned with v.clean tool=break,rmdupl,rmsa repeatedly until the rmsa tool (Remove small angles at nodes) no longer modifies any boundaries. If vector topology is still not clean, boundaries may also need to be snapped with v.clean tool=snap,break,rmdupl.

When using the -e flag, v.patch shifts category (cat) values in the output so that category numbers from the different input maps do not overlap. This shift is applied to both the category values of the features and the category values in the attribute tables. Hence, there is no need to run v.category and v.db.update beforehand.

When using the -a flag, the user has to make sure that the features in the different maps added to the output map do not have overlapping category numbers, unless identical category numbers reflect identical attributes, otherwise the attributes of the added maps are lost. To avoid this, the user can use v.category option=sum to change category values of some of the maps before patching.

EXAMPLES
Patch together two maps with mixed feature types:

   v.patch input=geology,streams out=geol_streams

Append one map to another:

   g.copy vect=roads,transport
   v.patch -a input=railroads output=transport --overwrite

SEE ALSO
v.clean, v.build, v.select, v.overlay

AUTHORS
Dave Gerdes, U.S.Army Construction Engineering Research Laboratory
Radim Blazek, ITC-Irst, Trento, Italy

SOURCE CODE

Available at: v.patch source code (history)

Accessed: Monday Apr 08 00:27:21 2024

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual